summaryrefslogtreecommitdiffstats
path: root/audio/ices
diff options
context:
space:
mode:
author Rodney Cobb <rdc@ktabic.co.uk>2010-05-13 00:21:17 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-13 00:21:17 +0200
commitff7bd32c5ddd6a6baff18b6845ee13af2d64b413 (patch)
treeaad5e7f362fe23e2b0f0a0c3ab496a5e4fb2c336 /audio/ices
parentaa2dcd855ff26879a947a9395980439c0464bd57 (diff)
downloadslackbuilds-ff7bd32c5ddd6a6baff18b6845ee13af2d64b413.tar.gz
slackbuilds-ff7bd32c5ddd6a6baff18b6845ee13af2d64b413.tar.xz
audio/ices: Updated for version 2.0.1
Diffstat (limited to 'audio/ices')
-rw-r--r--audio/ices/ices.SlackBuild12
-rw-r--r--audio/ices/ices.info2
2 files changed, 11 insertions, 3 deletions
diff --git a/audio/ices/ices.SlackBuild b/audio/ices/ices.SlackBuild
index 33220673da..539857f1cb 100644
--- a/audio/ices/ices.SlackBuild
+++ b/audio/ices/ices.SlackBuild
@@ -17,10 +17,13 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e # Exit on most errors
@@ -42,6 +45,7 @@ CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
--localstatedir=/var \
--mandir=/usr/man \
@@ -52,8 +56,10 @@ make
make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
# Create log directory ; file will be created in doinst.sh if needed
@@ -70,4 +76,4 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/ices/ices.info b/audio/ices/ices.info
index 6239e85cce..c50a3b621d 100644
--- a/audio/ices/ices.info
+++ b/audio/ices/ices.info
@@ -3,6 +3,8 @@ VERSION="2.0.1"
HOMEPAGE="http://www.icecast.org"
DOWNLOAD="http://downloads.xiph.org/releases/ices/ices-2.0.1.tar.bz2"
MD5SUM="8c7be81b304c4ce588f43b9d02603f6e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
MAINTAINER="Rodney Cobb"
EMAIL="rdc@ktabic.co.uk"
APPROVED="rworkman"